//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

using nispi.controlclass;

namespace nispi.WriteToBoard
{
    partial class WriteBrowserPanel
    {
        public SimpleBrowserParts innerBrowserParts;
        public SimpleBrowserParts myWebBrowserParts;
        //パネルを一つ
        public PanelParts browserPanelParts;

        public WriteData writeData;

        public WriteMain writeMain;

        public WriteBrowserPanel(WriteMain writeMain, string datUrl, string titleName)
        {
            this.innerBrowserParts = SimpleBrowserPartsManager.Pop();
            this.myWebBrowserParts = SimpleBrowserPartsManager.Pop();

            //this.myWebBrowserParts.ownerForm = writeMain.writeMainForm;

            this.browserPanelParts = PanelPartsManager.Pop();

            //ブラウザの表示のパネル
            this.browserPanelParts.Size = new Size(writeMain.writeMainForm.ClientSize.Width - 2, writeMain.writeMainForm.ClientSize.Height - 2);
            this.browserPanelParts.Location = new Point(1, 34);

            this.myWebBrowserParts.Location = new Point(1, 1);
            this.myWebBrowserParts.Size = new Size(this.browserPanelParts.Size.Width - 2, this.browserPanelParts.Size.Height - 34);

            this.browserPanelParts.AddControl(this.myWebBrowserParts);
        }
    }
}